Rename a concept folder

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/concept-folders/{concept_folder_id}

Rename a concept folder. Two folders of a project cannot have the same name. You must be a manager or a supervisor of the project.

Path parameters

  • concept_folder_id string(uuid) Required

    Unique identifier of the concept folder

application/json

Body Required

  • name string Required

    Concept folder name

Responses

  • 200 application/json

    The renamed concept folder

    Hide response attributes Show response attributes object
    • id string(uuid)

      Concept folder unique identifier

    • name string

      Concept folder name

    • project_id string(uuid)

      Project identifier

    • created_by string(uuid)

      Creator person identifier

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

  • 400

    Another folder of the project has this name, or the name is not valid

  • 403

    You are not a manager or a supervisor of the project

  • 404

    The concept folder does not exist

PUT /data/concept-folders/{concept_folder_id}
curl \
 --request PUT '/api/data/concept-folders/e68e02e8-a219-8009-e514-91897426a691' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "name": "Characters"
}'
Request examples
{
  "name": "Characters"
}
Response examples (200)
{
  "id": "e68e02e8-a219-8009-e514-91897426a691",
  "name": "Characters",
  "project_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "created_by": "d57d91d7-f108-7998-d403-80786315f580",
  "created_at": "2023-01-01T12:00:00Z",
  "updated_at": "2023-01-01T12:00:00Z"
}